eog crash GRIP-CRITICAL

Bug #872022 reported by Renegade22 on 2011-10-10
44
This bug affects 6 people
Affects Status Importance Assigned to Milestone
libgrip
High
Unassigned
libgrip (Ubuntu)
High
Unassigned
Precise
High
Unassigned

Bug Description

whenever I try to start eog it opens a window for as long as a blink of an eye and crashes immediately with this error message:
----------------------
ceylon@ceylon-desktop:~$ eog

(eog:29621): GRIP-CRITICAL **: register_internal: assertion `GRIP_IS_GESTURE_MANAGER (manager)' failed
Segmentation fault (core dumped)

[Impact]
The commonly-used application "eog" fails to start for some users because it experiences a segmentation fault in the "libgrip" library. The segmentation fault was caused by the libgrip library attempting to process window connections more than once, and the associated upload removes the extra processing calls.

[Test Case]
The situation can be forced by manually setting the image-gallery-resizable gnome setting to true and running the eog application.

me@mypc:~$ gsettings set org.gnome.eog.ui "image-gallery-resizable" true
me@mypc:~$ eog

Without the patch, this will result in a segmentation fault. With the patch, no segmentation fault obtains.

[Regression Potential]
Because the change removes a number of callbacks associated with window creation, it is possible that window processing that used to normally take place will no longer happen. The regression in this case is that where touch screen gestures previously worked (rotations, pinch-to-zoom) with applications such as eog, they will not longer have any effect. This regression has not appeared in testing.

Renegade22 (robert-meier-gmx) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in eog (Ubuntu):
status: New → Confirmed
Renegade22 (robert-meier-gmx) wrote :

this problems gone with the release.

Sad to say that it is still present on my laptop system, 64 bit, upgraded from 11:04 to 11:10 beta and now release.

I would add that this may well be just a glitch with my individual machine. I will check when I upgrade other machines and report back if the problem shows elsewhere.

Sebastien Bacher (seb128) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. Please try to obtain a backtrace following the instructions at http://wiki.ubuntu.com/DebuggingProgramCrash and upload the backtrace (as an attachment) to the bug report. This will greatly help us in tracking down your problem.

Changed in eog (Ubuntu):
importance: Undecided → Low
status: Confirmed → Incomplete
Jan Westerbeek (kezeltje) wrote :

Confirming here that this bug is still present as of today. Curiously, logging in as a different user on the same system makes it possible to start eog. Unfortunately, that isnt quite an acceptable workaround.

Running eog under strace gives the following output:

...
fstat(20, {st_mode=0600, st_size=0, ...}) = 0
fcntl(20, F_GETFL) = 0x2 (flags O_RDWR)
write(2, "\n(eog:11840): GRIP-CRITICAL **: "..., 104
(eog:11840): GRIP-CRITICAL **: register_internal: assertion `GRIP_IS_GESTURE_MANAGER (manager)' failed
) = 104
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
+++ killed by SIGSEGV +++

( I can attach the full trace if desired)

It seems that some races were fixed in this release related to this bug:
https://bugs.launchpad.net/libgrip/+bug/827958

But it seems that those fixes werent quite enough.

Launchpad Janitor (janitor) wrote :

[Expired for eog (Ubuntu) because there has been no activity for 60 days.]

Changed in eog (Ubuntu):
status: Incomplete → Expired
mannheim (kronheim) on 2012-05-24
Changed in eog (Ubuntu):
status: Expired → New
mannheim (kronheim) wrote :

I believe that this bug occurs when the setting "image-gallery-resizable" is "true". There is no visible setting for this in the gui, but it can be set via gsettings and causes the same error message above:

me@mypc:~$ gsettings set org.gnome.eog.ui "image-gallery-resizable" true
me@mypc:~$ eog

(eog:16324): GRIP-CRITICAL **: register_internal: assertion `GRIP_IS_GESTURE_MANAGER (manager)' failed
Segmentation fault (core dumped)

This problem is still present in Ubuntu 12.04. It was not present in the previous LTS release, so it manifests itself when an upgrade occurs (but perhaps only for a small set of users who have fiddled with this setting.)

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in eog (Ubuntu):
status: New → Confirmed
Sergiu Negara (negara-sergiu) wrote :

I haven't set this manually though I still have this bug and I have to use another app to preview images...

mannheim (kronheim) wrote :
mannheim (kronheim) wrote :

Sergiu, can you look at what user settings are present, with:

          dconf dump /org/gnome/eog/

I can confirm that setting the key image-gallery-resizable to false stops the problem on my system. So that seems to be the track to follow.

Neil

affects: eog (Ubuntu) → libgrip (Ubuntu)
Changed in libgrip (Ubuntu):
importance: Low → High
Stephen M. Webb (bregma) on 2012-05-25
Changed in libgrip:
status: New → Confirmed
importance: Undecided → High
Stephen M. Webb (bregma) on 2012-05-29
Changed in libgrip:
status: Confirmed → In Progress
assignee: nobody → Stephen M. Webb (bregma)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libgrip - 0.3.4-0ubuntu2

---------------
libgrip (0.3.4-0ubuntu2) quantal; urgency=low

  * updated to standards-version 3.9.3
    - debian/changelog: used official URL
  * Fixed a segfault when starting eog under some circumstances (lp: #872022).
 -- <email address hidden> (Stephen M. Webb) Wed, 30 May 2012 12:25:44 -0400

Changed in libgrip (Ubuntu):
status: Confirmed → Fix Released
Stephen M. Webb (bregma) on 2012-05-30
Changed in libgrip:
status: In Progress → Fix Committed
Stephen M. Webb (bregma) on 2012-05-30
Changed in libgrip (Ubuntu Precise):
status: New → In Progress
assignee: nobody → Stephen M. Webb (bregma)
Changed in libgrip:
assignee: Stephen M. Webb (bregma) → nobody
Changed in libgrip (Ubuntu Precise):
importance: Undecided → High
Stephen M. Webb (bregma) on 2012-05-31
description: updated
Changed in libgrip (Ubuntu Precise):
assignee: Stephen M. Webb (bregma) → nobody
status: In Progress → New

Hello Renegade22, or anyone else affected,

Accepted libgrip into precise-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in libgrip (Ubuntu Precise):
status: New → Fix Committed
tags: added: verification-needed

Ok. Updated to the version in Precise-Proposed. Reactivated image-gallery-resizable.
The bug as reported does not now occur; eog starts and works as expected.
No more elaborate testing done as it is 2am here, but appears to work for me.
Thanks!

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libgrip - 0.3.4-0ubuntu2~ubuntu12.04.1

---------------
libgrip (0.3.4-0ubuntu2~ubuntu12.04.1) precise-proposed; urgency=low

  * Fixed a segfault when starting eog under some circumstances (lp: #872022).
 -- <email address hidden> (Stephen M. Webb) Thu, 31 May 2012 10:31:33 -0400

Changed in libgrip (Ubuntu Precise):
status: Fix Committed → Fix Released
Changed in libgrip:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers